View Issue Details

IDProjectCategoryView StatusLast Update
0023710mantisbtcode cleanuppublic2017-12-30 19:51
ReporteratrolAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.9.0 
Target Version2.10.0Fixed in Version2.10.0 
Summary0023710: Remove usage of deprecated function __autoload
Description

__autoload has been deprecated as of PHP 7.2 [1][2]

We have an implementation of function __autoload in core.php.
Therefore, according a user in forum, you get messages in PHP log when using PHP 7.2 [3]

I had a short look at it and found that we are using __autoload and spl_autoload_register.

I have no time to have a deeper look at the moment, maybe we have just to rename __autoload and use it as parameter for spl_autoload_register.

[1] http://php.net/manual/en/migration72.deprecated.php
[2] http://php.net/manual/en/function.autoload.php
[3] https://www.mantisbt.org/forums/viewtopic.php?f=2&t=25177

TagsNo tags attached.

Activities

vboctor

vboctor

2017-12-08 21:38

manager   ~0058365

PR: https://github.com/mantisbt/mantisbt/pull/1240

atrol

atrol

2017-12-10 17:00

developer   ~0058375

PR 1240 comes with a lot of changes not related to the issue.
I would like to fix the issue independent from those changes, therefore alternative PR https://github.com/mantisbt/mantisbt/pull/1253

Related Changesets

MantisBT: master 5a16317f

2017-12-08 21:37:08

vboctor

Details Diff
Remove usage of deprecated function `__autoload`

Fixes 0023710
Affected Issues
0023710
mod - core.php Diff File

MantisBT: master 0c535cf2

2017-12-10 16:45:43

atrol


Committer: vboctor Details Diff
Don't use deprecated __autoload

Fixes 0023710
Affected Issues
0023710
mod - core.php Diff File

Issue History

Date Modified Username Field Change
2017-12-08 09:07 atrol New Issue
2017-12-08 21:38 vboctor Assigned To => vboctor
2017-12-08 21:38 vboctor Status new => assigned
2017-12-08 21:38 vboctor Product Version => 2.9.0
2017-12-08 21:38 vboctor Target Version => 2.10.0
2017-12-08 21:38 vboctor Note Added: 0058365
2017-12-10 17:00 atrol Note Added: 0058375
2017-12-23 00:37 vboctor Changeset attached => MantisBT master 0c535cf2
2017-12-23 00:37 atrol Assigned To vboctor => atrol
2017-12-23 00:37 atrol Status assigned => resolved
2017-12-23 00:37 atrol Resolution open => fixed
2017-12-23 00:37 atrol Fixed in Version => 2.10.0
2017-12-30 18:36 vboctor Status resolved => closed
2017-12-30 19:51 vboctor Changeset attached => MantisBT master 5a16317f
2017-12-30 19:51 vboctor Assigned To atrol => vboctor